﻿namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/7/20 14:29:09 
    /// 描    述 ：  
    /// </summary>
    public class WorkInfoDto
    {
        /// <summary>
        /// 工单名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 产线Id
        /// </summary>
        public string LineId { get; set; }
        /// <summary>
        /// 成品Id
        /// </summary>
        public string FinalId { get; set; }
        /// <summary>
        /// 产量
        /// </summary>
        public string Number { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public string CreateTime { get; set; }
    }
    /// <summary>
    /// 增加
    /// </summary>
    public class WorkInfoAddInput : WorkInfoDto
    {

    }
    /// <summary>
    /// 更新
    /// </summary>
    public class WorkInfoUpdateInput : WorkInfoDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 删除
    /// </summary>
    public class WorkInfoDelInput
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }

    /// <summary>
    /// 不分页查询条件
    /// </summary>
    public class WorkInfoQueryInput
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 分页
    /// </summary>
    public class WorkInfoQueryPageInput : RequestPage
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 编码
        /// </summary>
        public string Id { get; set; }
    }
    /// <summary>
    /// 工单下发
    /// </summary>
    public class WorkPublishInput
    {

    }
    /// <summary>
    /// 输出
    /// </summary>
    public class WorkInfoOutput : WorkInfoDto
    {
        /// <summary>
        /// 主键
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 产品名称
        /// </summary>
        public string FinalName { get; set; }
        /// <summary>
        /// 线名称
        /// </summary>
        public string LineName { get; set; }
        /// <summary>
        /// 工单状态
        /// </summary>
        public WorkOrderStatusEnum? Status { get; set; }
       
       
    }
    /// <summary>
    /// 详情输出
    /// </summary>
    public class WorkInfoDetailOutput : WorkInfoOutput
    {
        public WorkInfoDetailOutput()
        {

            MaterialList = new();
        }
        /// <summary>
        /// 物料信息
        /// </summary>
        public  List<RecipeMaterialEntity> MaterialList { get; set; }
    }
}
